Package com.smartgwt.client.ai

# Class AIHoverRequest

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.ai.SingleSourceAIRequest
com.smartgwt.client.ai.SystemAIRequest
com.smartgwt.client.ai.AIHoverRequest

All Implemented Interfaces:
  `HasHandlers`

public class AIHoverRequest extends SystemAIRequest
Settings that configure requests to AI to generate the contents of hovers.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIHoverRequest()`
  `AIHoverRequest(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SummarizeValueExample[]`
  `getExamples()`
  Examples to send in each SummarizeValueRequest.
  `Boolean`
  `getIncludeRecord()`
  Whether to include the `Record` that the `AIHoverRequest` is acting upon in each SummarizeValueRequest to AI, for context.
  `static AIHoverRequest`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String[]`
  `getRelevantFieldNames()`
  The names of fields that are relevant to each SummarizeValueRequest.
  `AIHoverRequest`
  `setExamples(SummarizeValueExample... examples)`
  Examples to send in each SummarizeValueRequest.
  `AIHoverRequest`
  `setIncludeRecord(Boolean includeRecord)`
  Whether to include the `Record` that the `AIHoverRequest` is acting upon in each SummarizeValueRequest to AI, for context.
  `AIHoverRequest`
  `setRelevantFieldNames(String... relevantFieldNames)`
  The names of fields that are relevant to each SummarizeValueRequest.

  ### Methods inherited from class com.smartgwt.client.ai.SingleSourceAIRequest

  `getAdditionalMessages, getPrompt, getPromptType, setAdditionalMessages, setPrompt, setPromptType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIHoverRequest

    public AIHoverRequest()

  - ### AIHoverRequest

    public AIHoverRequest(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIHoverRequest getOrCreateRef(JavaScriptObject jsObj)

  - ### setExamples

    public AIHoverRequest setExamples(SummarizeValueExample... examples)
    Examples to send in each SummarizeValueRequest.
    Parameters:
      `examples` - New examples value. Default value is null
    Returns:
      `AIHoverRequest` instance, for chaining setter calls

  - ### getExamples

    public SummarizeValueExample[] getExamples()
    Examples to send in each SummarizeValueRequest.
    Returns:
      Current examples value. Default value is null

  - ### setIncludeRecord

    public AIHoverRequest setIncludeRecord(Boolean includeRecord)
    Whether to include the `Record` that the `AIHoverRequest` is acting upon in each SummarizeValueRequest to AI, for context.
    Parameters:
      `includeRecord` - New includeRecord value. Default value is true
    Returns:
      `AIHoverRequest` instance, for chaining setter calls

  - ### getIncludeRecord

    public Boolean getIncludeRecord()
    Whether to include the `Record` that the `AIHoverRequest` is acting upon in each SummarizeValueRequest to AI, for context.
    Returns:
      Current includeRecord value. Default value is true

  - ### setRelevantFieldNames

    public AIHoverRequest setRelevantFieldNames(String... relevantFieldNames)
    The names of fields that are relevant to each SummarizeValueRequest.
    Parameters:
      `relevantFieldNames` - New relevantFieldNames value. Default value is null
    Returns:
      `AIHoverRequest` instance, for chaining setter calls
    See Also:
      - `FieldName`

  - ### getRelevantFieldNames

    public String[] getRelevantFieldNames()
    The names of fields that are relevant to each SummarizeValueRequest.
    Returns:
      Current relevantFieldNames value. Default value is null
    See Also:
      - `FieldName`